Skip to main content
GET
/
v4
/
revenue
/
pendingRevenues
Get pending revenues
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v4/revenue/pendingRevenues \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "amount": 50.01,
    "date": "2023-11-07T05:31:56Z",
    "plaidDescription": "<string>",
    "plaidInstitutionId": "<string>",
    "plaidDisplayName": "Citi Premier® Card",
    "plaidAccountNo": "<string>",
    "plaidItemAccountId": 123,
    "apiName": "PLAID",
    "apiPaymentId": "<string>",
    "invoiceId": 123,
    "description": "Gas purchase",
    "state": "DC",
    "salesTaxAmount": 1.01,
    "type": "NOT_BUSINESS",
    "clientId": 123,
    "businessId": 123,
    "business": {
      "id": "<string>",
      "companyId": "<string>",
      "companyIdLong": 123,
      "customerPartnerId": 123,
      "name": "<string>",
      "showName": true,
      "contactFirst": "<string>",
      "contactLast": "<string>",
      "showContactFirstLast": true,
      "email": "<string>",
      "showEmail": true,
      "phoneWork": "<string>",
      "showPhoneWork": true,
      "address1": "<string>",
      "address2": "<string>",
      "city": "<string>",
      "state": "<string>",
      "zip": "<string>",
      "showAddress": true,
      "tin": "<string>",
      "invoicePrefix": "<string>",
      "plaidApiEntityIds": "<string>",
      "status": "ACTIVE",
      "apiName": "GOOGLELOGIN",
      "apiClientId": "<string>",
      "bizType": "ADVISOR_COACH",
      "labelId": 123,
      "createdDate": "2023-11-07T05:31:56Z",
      "idPrefix": "COMPANY",
      "nameColumnNameForPagination": "<string>",
      "externalId": "<string>"
    }
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

lastUpdatedDate
string

Date filter - returns all records updated after the specified date. Null returns all data

Response

200 - application/json

Successful operation

id
string
required

Id of the pending revenue record

amount
number
required

Amount of the pending revenue

Example:

50.01

date
string<date-time>

Date of the pending revenue

plaidDescription
string

Plaid's description for this pending revenue

plaidInstitutionId
string

The id of the institution that the transaction originated from

plaidDisplayName
string

Plaid's display name for this pending revenue

Example:

"Citi Premier® Card"

plaidAccountNo
string

The mask of the user's bank account

plaidItemAccountId
integer<int64>

Id of the bank account that this transaction originated from

apiName
enum<string>

Name of the API that this transaction originated from

Available options:
GOOGLELOGIN,
LINKEDINLOGIN,
DROPBOX,
BOX,
SKYDRIVE,
CLOVER,
STRIPE,
GOOGLESTORAGE,
GOOGLECONTACTS,
GOOGLEEMAIL,
LINKEDINCONTACTS,
PLAID,
KNOX,
UBER,
FACEBOOKLOGIN,
FRESHBOOKS,
HARVEST,
KW,
FRESHBOOKS2,
CAPITAL_ONE,
SQUARE,
S3,
DOTLOOP,
XERO_DEPRECATED,
REALOGY,
UPWORK,
SHOPIFY,
DEDUCTR,
ENTERPRISE,
MOXIWORKS,
STRIPE_EXPRESS,
APPLELOGIN,
APPDIRECT,
LONEWOLF,
USER_IMPORTED,
LONEWOLF_TRANSACTIONDESK,
SAMPLE_BANK,
TAXBOT,
THIRD_PARTY_BANK,
GUSTO,
THIRD_PARTY_PAYMENTS,
XERO,
UNIT,
USER_ENTRY,
MOOV,
QBO,
COLUMN,
QUALPAY,
BENCH,
PARTNER_IMPLEMENTATION,
CHECK,
RUTTER,
WAVE,
ADYEN,
APRIL
Example:

"PLAID"

apiPaymentId
string

Id of the payment record on associated API

invoiceId
integer<int64>

Invoice id associated with this pending revenue

description
string

Description of pending revenue

Example:

"Gas purchase"

state
enum<string>

State value for pending revenue sales tax amount

Available options:
UNKNOWN,
AL,
AK,
AS,
AZ,
AR,
CA,
CO,
CT,
DE,
DC,
FM,
FL,
GA,
GU,
HI,
ID,
IL,
IN,
IA,
KS,
KY,
LA,
ME,
MD,
MH,
MA,
MI,
MN,
MS,
MO,
MT,
NE,
NV,
NH,
NJ,
NM,
NY,
NC,
ND,
MP,
OH,
OK,
OR,
PW,
PA,
PR,
RI,
SC,
SD,
TN,
TX,
UT,
VT,
VI,
VA,
WA,
WV,
WI,
WY,
AB,
BC,
MB,
NB,
NL,
NT,
NS,
NU,
ON,
PE,
QC,
SK,
YT
Example:

"DC"

salesTaxAmount
number

Sales Tax Amount for the pending revenue

Example:

1.01

type
enum<string>

Type of the pending revenue

Available options:
BUSINESS,
NOT_BUSINESS
Example:

"NOT_BUSINESS"

clientId
integer<int64>

Id of client assigned to this pending revenue

businessId
integer<int64>

Id of business assigned to this pending revenue, required for BUSINESS revenue

business
object